Channels
Disable, enable or rename a channel
PATCH
/v1/channels/{id}Enabling a channel clears its failure streak (a channel failing for 24 hours is disabled automatically).
Path parameters#
idstring · uuidrequired
Request body#
statestringnamestring
Responses#
200Updated channel.
Object fields
idstring · uuidkindstringnamestringnullablestatestringrolestringtargetstringnullableMasked destination, e.g.
https://hooks.example.com/aicscan,a***@example.com.created_atstring · date-timedisabled_atstring · date-timenullabledisabled_reasonstringnullablelast_success_atstring · date-timenullablelinked_atstring · date-timenullable
4xx · 5xxError.
Standard error format: see Errors.